/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/_general_styling.scss';

.helperBlockContainer {
  display: grid;
  grid-template-areas: 'icon' 'gap1' 'title' 'gap2' 'description';
  grid-template-columns: 1fr;
  grid-template-rows: auto 1.25rem auto 0.625rem auto;
  justify-items: flex-start;

  &__icon {
    grid-area: icon;
  }

  &__title {
    grid-area: title;
  }

  &__description {
    color: $coa-dark-gray-100;
    font-size: 0.875rem;
    font-style: normal;
    line-height: 18px;
    grid-area: description;
  }
}
